﻿using System;

using Android.App;
using Android.Content.PM;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Xamarin.Forms;
using Com.Syncfusion.Charts;

namespace ScrollView.Droid
{
    [Activity(Label = "ScrollView", Icon = "@drawable/icon", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsApplicationActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            Xamarin.Forms.Forms.ViewInitialized += Forms_ViewInitialized;
            global::Xamarin.Forms.Forms.Init(this, bundle);
            LoadApplication(new App());
        }

        private void Forms_ViewInitialized(object sender, ViewInitializedEventArgs e)
        {
            if (!(e.NativeView is SfChart)) return;
            (e.NativeView as SfChart).Touch += MainActivity_Touch;
        }

        private void MainActivity_Touch(object sender, Android.Views.View.TouchEventArgs e)
        {
            if(e.Event.Action == MotionEventActions.Move)
            {
                e.Handled = true;
                ((SfChart)sender).RequestDisallowInterceptTouchEvent(false);
            }
            else
            {
                e.Handled = false;
                ((SfChart)sender).RequestDisallowInterceptTouchEvent(true);
            }
        }
    }
}

