﻿using Xamarin.Forms;
using Syncfusion.SfChart.XForms;


namespace ScrollView
{
    public class DynamicCharts : ContentPage
    {
        StackLayout layout;
        int i = 2;
        public DynamicCharts()
        {
            Xamarin.Forms.ScrollView scrollView = new Xamarin.Forms.ScrollView();
            Padding = new Thickness(5, 15, 5, 5);
            layout = new StackLayout();

            for (i = 1; i < 5; i++)
            {
                layout.Children.Add(GetChart("Chart-" + i.ToString()));
            }

            scrollView.Content = layout;
            Content = scrollView;
        }
        public SfChart GetChart(string chartTitle)
        {
            ViewModel view = new ViewModel();

            SfChart chart = new SfChart();
            chart.Title = new ChartTitle() { Text = chartTitle };
            chart.HeightRequest = 400;
            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();

            PieSeries pie = new PieSeries();
            pie.ItemsSource = view.data1;
            pie.EnableDataPointSelection = true;
            chart.Series.Add(pie);

            chart.VerticalOptions = LayoutOptions.Start;
            chart.HorizontalOptions = LayoutOptions.FillAndExpand;
            return chart;
        }
    }
}
